"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const controllers_1 = require("../controllers");
const services_1 = require("../services");
exports.router = express_1.default.Router({
    strict: true
});
const translationsController = new controllers_1.TranslationsController(new services_1.TranslationsService());
exports.router.get('/', (...args) => {
    translationsController.read(...args);
});
exports.router.get('/:name', (...args) => {
    translationsController.get(...args);
});
exports.router.patch('/:name', (...args) => {
    translationsController.update(...args);
});
//# sourceMappingURL=Translations.js.map